Get crawl pages
curl --request GET \
--url https://api.spidra.io/api/crawl/{jobId}/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/crawl/{jobId}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/crawl/{jobId}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/crawl/{jobId}/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/crawl/{jobId}/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/crawl/{jobId}/pages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/crawl/{jobId}/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pages": [
{
"id": "17938855-3664-48c4-8140-4b05d16a037f",
"job_id": "e303fb87-846e-4a30-8aa5-bfca457a5357",
"url": "https://books.toscrape.com/catalogue/sharp-objects_997/index.html",
"status": "success",
"title": "Sharp Objects | Books to Scrape - Sandbox",
"data": {
"price": 47.82,
"title": "Sharp Objects",
"in_stock": true
},
"error_message": null,
"created_at": "2026-10-25T03:15:04.000Z",
"html": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/47837f66-2ea8-4b60-a2e6-7656c0fe1946.html?...",
"markdown": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/c8973f4e-da20-4927-a2ef-bd763a274bad.md?..."
},
{
"id": "baab22f2-195f-454c-a094-4b4454518ceb",
"job_id": "e303fb87-846e-4a30-8aa5-bfca457a5357",
"url": "https://books.toscrape.com/catalogue/in-a-dark-dark-wood_963/index.html",
"status": "success",
"title": "In a Dark, Dark Wood | Books to Scrape - Sandbox",
"data": {
"price": 19.63,
"title": "In a Dark, Dark Wood",
"in_stock": true
},
"error_message": null,
"created_at": "2026-10-25T03:15:12.000Z",
"html": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/9b889b6c-5296-4cdb-84ca-2440acfd2c2b.html?...",
"markdown": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/daa293f8-28c5-4039-ae8f-40643015f855.md?..."
}
],
"total": 3,
"offset": 0,
"limit": 2,
"hasMore": true
}Crawl
Get crawl pages
Returns every page of a crawl, up to 1,000 per call, oldest first. Use it for crawls bigger than the 100 pages Get a crawl holds, or after that endpoint has expired. Keep calling with offset increased by limit until hasMore is false.
Failed pages are included with their error_message. Each page’s id is what Retry a crawl page needs. The html and markdown links expire after 1 hour.
GET
/
crawl
/
{jobId}
/
pages
Get crawl pages
curl --request GET \
--url https://api.spidra.io/api/crawl/{jobId}/pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/crawl/{jobId}/pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/crawl/{jobId}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/crawl/{jobId}/pages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/crawl/{jobId}/pages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/crawl/{jobId}/pages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/crawl/{jobId}/pages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"pages": [
{
"id": "17938855-3664-48c4-8140-4b05d16a037f",
"job_id": "e303fb87-846e-4a30-8aa5-bfca457a5357",
"url": "https://books.toscrape.com/catalogue/sharp-objects_997/index.html",
"status": "success",
"title": "Sharp Objects | Books to Scrape - Sandbox",
"data": {
"price": 47.82,
"title": "Sharp Objects",
"in_stock": true
},
"error_message": null,
"created_at": "2026-10-25T03:15:04.000Z",
"html": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/47837f66-2ea8-4b60-a2e6-7656c0fe1946.html?...",
"markdown": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/c8973f4e-da20-4927-a2ef-bd763a274bad.md?..."
},
{
"id": "baab22f2-195f-454c-a094-4b4454518ceb",
"job_id": "e303fb87-846e-4a30-8aa5-bfca457a5357",
"url": "https://books.toscrape.com/catalogue/in-a-dark-dark-wood_963/index.html",
"status": "success",
"title": "In a Dark, Dark Wood | Books to Scrape - Sandbox",
"data": {
"price": 19.63,
"title": "In a Dark, Dark Wood",
"in_stock": true
},
"error_message": null,
"created_at": "2026-10-25T03:15:12.000Z",
"html": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/9b889b6c-5296-4cdb-84ca-2440acfd2c2b.html?...",
"markdown": "https://.../crawl/e303fb87-846e-4a30-8aa5-bfca457a5357/daa293f8-28c5-4039-ae8f-40643015f855.md?..."
}
],
"total": 3,
"offset": 0,
"limit": 2,
"hasMore": true
}Authorizations
BearerAuthApiKeyAuth
Query Parameters
Was this page helpful?

